Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.transformer.om
Enum DatabaseChildElementName

    java.lang.Object
      java.lang.Enum<DatabaseChildElementName>
          org.apache.torque.templates.transformer.om.DatabaseChildElementName

All Implemented Interfaces:
  Serializable, Comparable<DatabaseChildElementName>, SourceElementName

    public enum DatabaseChildElementName

extends Enum<DatabaseChildElementName>
implements SourceElementName

Contains the child elements for a database source element which are not defined in the Torque schema. These elements might be created in the transformation of a database.

Enum Constant Summary
`ALL_TABLES` The element containing all known tables including those loaded from an external schema.
`ALL_VIEWS` The element containing all known views including those loaded from an external schema.

Method Summary
`String` | `getName()` Returns the name of the referenced source element.
`String` | `toString()`
`static DatabaseChildElementName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DatabaseChildElementName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_TABLES

    public static final DatabaseChildElementName ALL_TABLES

  The element containing all known tables including those loaded from an external schema.

### ALL_VIEWS

    public static final DatabaseChildElementName ALL_VIEWS

  The element containing all known views including those loaded from an external schema.

Method Detail

### values

    public static DatabaseChildElementName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DatabaseChildElementName c : DatabaseChildElementName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DatabaseChildElementName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  Returns the name of the referenced source element.

  Specified by:
    `getName` in interface `SourceElementName`
  Returns:
    the name of the referenced source element.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DatabaseChildElementName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.